<!DOCTYPE html>
<html lang="en">
  {% load static %}
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
   
    <!-- BootstrapCDN CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
   
    <!-- BootstrapCDN JavaScript -->
    <script src="https://code.jquery.com/jquery-3.4.1.js" integrity="sha256-WpOohJOqMqqyKL9FccASB9O0KwACQJpFTUBLTYOVvVU=" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js" integrity="sha256-T0Vest3yCU7pafRw9r+settMBX6JkKN06dqBnpQ8d30=" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>


    <title>Login</title>
  </head>

  <body class="login_body">
    {% if form.errors %}
      <p>Your username and password didn't match. Please try again.</p>
    {% endif %}

    {% if next %}
      {% if user.is_authenticated %}
        <p>Your account doesn't have access to this page. To proceed,
        please login with an account that has access.</p>
      {% else %}
        <p>Please login to see this page.</p>
      {% endif %}
    {% endif %}

    <form method="post" action="{% url 'login' %}">
      {% csrf_token %}
        <div class="container">          
            <div class="row">
                <div class="col-md-auto">
                    <h3>Username :</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-md-auto field">
                    {{ form.username }}
                </div>
            </div>
            <div class="row">
                <div class="col-md-auto">
                    <h3>Password :</h3>
                </div>
            </div>
            <div class="row">
                <div class="col-md-auto field">
                    {{ form.password }}
                </div>
            </div>
        </div>
        <div class="col justify-content-md-center logout-button">
          <input type="submit" value="login" class="btn btn-danger btn-lg" />
          <input type="hidden" name="next" value="{{ next }}" />
        </div>
      </form>
  </body>
</html>
